Bug 122793 - fatal error communicating with the server - Status Code: 404
fatal error communicating with the server - Status Code: 404
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
: 123223 (view as bug list)
Depends On:
Blocks: 124619
  Show dependency treegraph
 
Reported: 2004-05-07 18:43 EDT by Bill Roman
Modified: 2007-11-30 17:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 16:38:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Roman 2004-05-07 18:43:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040506

Description of problem:
/etc/sysconfig/rhn/sources in this version contains:

yum fedora-core-2 http://fedora.redhat.com/releases/fedora-core-2
yum updates-released-fc2
http://fedora.redhat.com/updates/released/fedora-core-2yum-mirror
fedora-core-2
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-2
yum-mirror updates-released-fc2
http://fedora.redhat.com/download/up2date-mirrors/updates-released-fc2

These don't exist yet.  Makes it hard to update further once this is
installed.

Version-Release number of selected component (if applicable):
up2date-4.3.18-2

How reproducible:
Always

Steps to Reproduce:
1. Clean install of Fedora Core 2 test 3.
2. Red Hat Network Alert Notification Tool indicates updates are
available.
3. Heed its "Critical Information" and update up2date first.
4. Run up2date again to update other packages.
    

Actual Results:  Error dialog:

There was a fatal error communicating with the server.  The message was:

An HTTP error occurred:
URL:
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-2/headers/header.info
Status Code: 404
Error Message: Not Found


Expected Results:  Further updates should have been found and installed

Additional info:
Comment 1 Marshall Boykin 2004-05-08 11:32:02 EDT
Same issue with "yum" unless the repositories have neen manually 
edited
Comment 2 Petr Hrasky 2004-05-10 15:24:46 EDT
I have hit this , looks same.

There was a fatal error communicating with the server.  The message was:

An HTTP error occurred:
URL:
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-2/headers/header.info
Status Code: 404
Error Message: Not Found

it gives this error even when i=only the fc2 repo is allowed in
sources config file.

Comment 3 Ed Man 2004-05-10 15:44:30 EDT
Same thing here. To get around it I had to downgrade to the previous
version of up2date using:

rpm -Uvh --oldpackage up2date-4.3.16-1.i386.rpm

The bad version of up2date is : up2date-4.3.18-2
Comment 4 Alexandre Oliva 2004-05-18 10:57:45 EDT
I suppose it would be a good idea if say `up2date -u' proceeded to
install packages even if some of the listed sources aren't available.
 For example, FC2 is out, but if people attempt to use up2date to
install packages from the core, they are going to have to disable the
updates channel, or wait until updates are released such that the
header.info file makes it to the servers.  A warning would be
reasonable, but a hard error for the default config probably isn't.

It would also be nice if, when the GUI up2date finds that one of the
sources is unreachable, it went back to the channel selection screen,
instead of quitting after the user clicks on the error message that
pops up.
Comment 5 Alexandre Oliva 2004-05-18 10:58:35 EDT
*** Bug 123223 has been marked as a duplicate of this bug. ***
Comment 6 Adrian Likins 2004-05-27 18:38:22 EDT
4.3.19 points at the right urls. 

Sorry for problems, but was playing a bit of a catch-22 
as figuring out exactly where fc2 would land before it
landed anywhere caused some issues. 
Comment 7 Alexandre Oliva 2004-05-27 18:50:09 EDT
So how about leaving this open until the points in comment #4 are
addressed?
Comment 8 Owen Taylor 2004-08-03 18:57:12 EDT
*** Bug 123579 has been marked as a duplicate of this bug. ***
Comment 9 Ian Collier 2004-08-17 11:21:56 EDT
Not sure who to contact about this, so I'm leaving a comment on the
most relevant bug instead.

The file at this URL:
http://fedora.redhat.com/download/up2date-mirrors/updates-released-fc2.uk
refers to a location which no longer exists because (for reasons best
known to the current owners of the mirror and the bean-counting 
management which mandated the change of ownership) they seem to have
moved things around.

Instead of:
http://www.mirror.ac.uk/sites/download.fedora.redhat.com/pub/fedora/linux/core/updates/2/$ARCH/
it should now say:
http://www.mirror.ac.uk/mirror/fedora.redhat.com/updates/2/$ARCH/

And similar changes are due to the other UK-mirror lists.

(Of course, it would be good if up2date were able to recover from
this instead of just giving up.)
Comment 10 Matthew Miller 2005-04-26 12:27:54 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 11 John Thacker 2006-04-24 16:38:12 EDT
The problem of the URL location was fixed in FC3.  The underlying 
problem of "up2date should work even if one source isn't right," well..
In any case, up2date has been removed from Fedora Core in favor of
yum, pirut, and pup.  (There are also other GUIs in Extras.)  Unlikely
that this will get fixed in Fedora, though it could be filed for RHEL if
it's an issue there.

Note You need to log in before you can comment on or make changes to this bug.